include invero.conf

# term              xterm-256color
enable_audio_bell no
cursor_shape block
wheel_scroll_multiplier 1.0
touch_scroll_multiplier 1.0
wheel_scroll_min_lines 1
shell_integration  no-cursor
cursor_blink_interval 0

remember_window_position yes
remember_window_size  yes

# Font
font_family       Maple Mono
font_size         13.0
# disable_ligatures always

# undercurl_style thick-sparse

modify_font cell_width 94%
modify_font cell_height -2px
# modify_font baseline 2px

# modify_font underline_thickness 180%
# modify_font underline_position 2px
# modify_font strikethrough_positon 2px
text_composition_strategy legacy
# underline_exclusion 0

placement_strategy top
window_margin_width 0 0
window_padding_width 0 4

# modify_font cell_height -1
# modify_font cell_width 90%

# Navigation / editing
# Make Option act as Alt on macOS
macos_option_as_alt yes

# Use explicit bytes (no ambiguity), not \x1bb etc.
map opt+left        send_text all \x1b\x62
map opt+right       send_text all \x1b\x66
map cmd+left        send_text all \x01
map cmd+right       send_text all \x05
map opt+backspace   send_text all \x1b\x7f
map cmd+backspace   send_text all \x15
map opt+delete      send_text all \x1b\x64
map cmd+delete      send_text all \x0b

# New window / tab
map cmd+n new_os_window
map cmd+t new_tab

map cmd+1 goto_tab 1
map cmd+2 goto_tab 2
map cmd+3 goto_tab 3
map cmd+4 goto_tab 4
map cmd+5 goto_tab 5
map cmd+6 goto_tab 6
map cmd+7 goto_tab 7
map cmd+8 goto_tab 8
map cmd+9 goto_tab 9


# BEGIN_KITTY_FONTS
# font_family      family="JetBrains Mono"
bold_font        auto
italic_font      auto
bold_italic_font auto
# END_KITTY_FONTS
